Nouvelle version majeure de Pap’rass (gestion documentaire)

La version 5.52 de Pap’rass est à présent disponible.

Il s’agit d’une version majeure car l’application a été entièrement réécrite en Python3 sur le framework PyQt5 en remplacement de wxPython qui n’a malheureusement toujours pas évolué vers la branche 3 de Python.

Toutes les fonctionnalités de l’ancienne version sont présentes et les documents enregistrés lors des versions antérieures sont repris en toute transparence sans la moindre intervention de l’utilisateur.

J’ai renoncé à la distribution sous forme d’exécutable binaire qui posait beaucoup de problèmes de compatibilité.

Pour utiliser Pap’rass il faut en passer par l’utilisation de l’interpréteur Python à partir des sources de l’application (à ce jour en version 5.52) disponibles sous ce lien après avoir installé les dépendances suivantes :

  • python 3.x (en général déjà installé sur la plupart des distributions)
  • python3-pyqt5
  • python3-pil
  • python3-reportlab
  • python3-poppler-qt5
  • sane-utils (en général déjà installé sur la plupart des distributions)

Une fois le dossier sources décompressé, un double-clic sur le fichier paprass.py devrait lancer le programme…

 

 

22 réflexions au sujet de « Nouvelle version majeure de Pap’rass (gestion documentaire) »

  1. Bonjour,

    Je lis ton article sur la dernière version de Pap’rass, mais où est le premier article, qui présente le logiciel? J’aimerais savoir ce que fait ce logiciel.

    CM63 du forum de la communauté Ubuntu

  2. Bonjour,

    je suis à la recherche d’un GED et pap’rass semble répondre à mes attentes. Cependant lorsque j’execute pap’rass j’ai cette erreur :
    [6847] Error loading Python lib ‘/home/martine/Paprass/libpython3.6m.so.1.0′: dlopen: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25’ not found (required by /home/martine/Paprass/libpython3.6m.so.1.0)

    Je suis sous linux mint 17.3.
    Pouvez-vous m’indiquer une piste de recherche ?

    Merci.
    Régis

    1. J’ai un problème avec les distributions GNU-Linux basées sur Ubuntu 16.04 LTS.
      En effet le binaire a été compilé sur ma machine en Ubuntu 17.10 dont la version de libc6 est la 2.25 alors que la 16.04 est restée sur une version antérieure.
      Pour contourner le problème le mieux serait de récupérer le programme source puis d’installer les dépendances et de lancer le script “paprass.py”.
      Cependant, la 16.04 et la 17.04 fournissent un paquet python3-poppler-qt5 qui est vérolé et signalé par Debian comme inutilisable (version 0.24.2-1). Si c’est cette version qui est packagée sur Linux Mint 17.3, ça ne marchera pas non plus avec les sources.

      Cordialement.

        1. Je tourne sous Ubuntu 17.10 sur mon Desktop comme sur mon Laptop.
          Depuis la première version (octobre 2004), je passe systématiquement à la nouvelle version tous les 6 mois sans jamais aucune perte de données.
          Je ne suis pas un gamer, je n’ai donc jamais rencontré de difficulté avec les CG.

          Bonne journée,
          Cordialement.

  3. J’étais sous linux mint, jusqu’à hier soir. Mais après une mise à jour qui m’a conduit à un kernel panic, je vais revenir à Ubuntu, que j’ai utilisé il y a quelques années. Comme cela je vais pouvoir tester Pap’rass.
    Merci pour ce partage.
    Régis

  4. Bonjour,
    Pap’rass est maintenant installé.
    J’ai juste jeté un oeil, car il était tard.
    J’ai remarqué 2 choses :
    Mon scanner n’est pas reconnu, sans doute dû à une installation toute neuve et incomplète d’ubuntu.
    Par contre Pap’rass ne fait pas apparaître mes répertoires réseaux montés en NFS de mon NAS.
    C’est plus embêtant.
    Est-ce que c’est une fonction présente dans votre logiciel ?

    Bon journée

  5. Bonsoir,
    Tout d’abord merci pour ce logiciel qui me convient parfaitement pour une gestion de documents personnels.
    Le programme tourne parfaitement sous Ubuntu 18.04, mais refuse de se lancer sous Mint 18.3 et sur Budgie 18.04,
    peut etre avez vous une idée de se qui cloche.
    D’autre part, j’arrive à supprimer un document sauvegardé, mais je n’arrive pas à supprimer le dossier dans lequel il était.
    ce n’est pas bien grave, mais si vous avez une solution, je suis preneur.
    Merci encore pour ce partage, bonne soirée

    1. Bonjour,

      L’exécutable compilé n’est pas la bonne solution sous d’autres distributions que Ubuntu 18.04. C’est une question de bibliothèque du compilateur qui n’est pas toujours à niveau.

      Il faut privilégier, y compris sous Ubuntu, l’interpréteur Python.

      Au niveau de l’installation c’est plus contraignant car il faut installer les dépendances du programme (c’est expliqué dans l’article), cependant ça garantit que le programme ne sera jamais cassé par une mise à jour.

      Pour ce qui concerne la suppression d’un dossier de classement, le programme ne le prévoit pas encore, mais je vais étudier le problème…

      Cordialement.

    2. A noter que les sources sont mis à jour à la version 5.5 qui permet à présent dans le module de recherche la suppression d’un dossier de classement vide par un clic droit sur le dossier concerné.

  6. Bonjour,

    J’apprends un peu par hasard qu’il y a une nouvelle version qui existe … parce que je viens de changer mon système linux, et je refaisais un peu le tour de mes logiciels.

    Tu dis que la transition se fait “en toute transparence “, mais je me suis fais une frayeur, aucun document après avoir lancé la nouvelle version. Tu ne dis pas que le répertoire des données à changé, de ~/.paprass-data à ~/.paprass-data .
    Sans doute parce que je “traine” le logiciel depuis 2005 où il s’appelait Py-Geg 🙂 Un petit déplacement et le tout est joué.

    Malheureusement j’ai quelques soucis qui m’empêchent de passer à la nouvelle version :

    – Le français est prévu ?

    – Apparemment il n’y a plus de bouton/menu “Classer” ? Il faut passer pas la recherche où on les voit maintenant en tête de liste c’est bien ça ?

    – Gros point noir pour moi qui pour l’instant est bloquant pour passer sur cette nouvelle version ; sur la fenêtre de scan, sur la liste déroulante “Choice of resolution” dont la liste doit être retournée par l’interrogation du scanner, dans la v.5.50 je n’ai qu’un seul choix dans la liste déroulante “50..4800”, donc je ne sais pas à quelle résolution je scanne et je ne peux pas la changer. Sur la V2 j’ai 4 choix : “50 – 4800 – 0 – Autre” dont le Autre qui me permet de saisir la résolution que je veux …

    – Et enfin le plus gros point noir, la fonction scan ne fonctionne plus. Quand je cliques sur START puis SCAN j’ai le message “scanning has failed, try again”. Inutile de préciser que marche parfaitement dans la 2.06 et dans xsane. Le message dans la console est
    scanimage: option –resolution: illegal separator (rest of option: ..4800)

    1. Bonjour,
      Pour le Français, je suis étonné car le produit est livré avec le fichier de langue Française (Paprass.fr_FR.qm). À moins que tu aies construit un raccourci sans lui donner le path.
      Pour le classement tu as un bouton classer au moment de l’enregistrement d’un nouveau document et tu peux également le faire dans le module de recherche.
      Pour le scanner, il semblerait que le tien ne renvoie pas un enregistrement standard à scanimage pour ce qui concerne la résolution. Je vais étudier la question…
      Cordialement.

  7. Bonjour,

    pour le raccourci (.desktop) je l’ai créé comme cela :

    [Desktop Entry]
    Name=Paprass 5.5 (local)
    Exec=/home/thierrybo/.local/opt/paprass-5.5/paprass.py
    Comment=
    Icon=/home/thierrybo/.local/opt/paprass-5.5/paprass-icon.png
    NoDisplay=false
    Type=Application
    Categories=Office;

  8. Bonjour,
    J’ai testé Pap’rass, l’installation s’est parfaitement déroulé sauf le raccourci mais ce n’est pas trop grave.
    J’ai 2 questions:
    – Quand j’ai ajouté un fichier pdf qui existait déja sur mon disque, Pap’rass l’a déplacé, je ne le retrouve plus. Contrairement à un fichier image qui lui reste au même endroit
    – Pourquoi on ne peut classe que des images et pdf uniquement? Pourquoi pas des documents OpenOffice ou n’importe quel fichier (musique par exemple)?
    Merci.

    1. Bonjour,
      Pour la disparition du fichier pdf, c’était un bug que je vous remercie d’avoir signalé.
      Une nouvelle version de Pap’rass (5.52) est disponible en téléchargement sur le lien que vous avez utilisé précédemment. Elle permet de choisir, au moment de l’enregistrement, si on conserve ou non le document d’origine.
      Pour ce qui est de votre autre demande, le principe d’une GED documentaire comme Pap’rass c’est la conservation de pièces figées à un instant T. Un document Libre Office qui peut encore évoluer n’a pas vocation à y être archivé. Une fois finalisé ce document peut être sauvegardé en PDF pour intégrer Pap’rass.
      Pour ce qui concerne les autres médias (musiques, vidéos, photos) des logiciels libres existent qui sont spécifiquement adaptés.

      Cordialement.

  9. Bonjour,
    J’utilise Debian Stretch et Buster. Installation de la version 5.52 sans problème. Export des documents depuis PaperWork un peu fastidieux mais sans plus ;-).
    Juste un petit détails : si on recherche un document il s’affiche mais pas très lisible alors je fais une copie que j’enregistre dans ~/PaprassVoirGrand et je l’affiche avec un logiciel pour .pdf ou pour image. Et j’imprime depuis ceux las.
    C’est malgré tout très génial pour archiver les paperasses du domicile. Grand merci et bravo.

    1. Bonjour,
      Je suis heureux que Pap’rass vous soit utile.
      Pour le problème d’affichage que vous me signalez, savez vous qu’avec la molette de votre souris vous pouvez zoomer ou dézoomer la page affichée ?
      Chez moi je mets Pap’rass en plein écran et j’ajuste le document avec la souris et je ne rencontre pas de problème de lecture.

      Cordialement.

      1. Re Bonjour,
        “Chez moi je mets Pap’rass en plein écran et j’ajuste le document avec la souris et je ne rencontre pas de problème de lecture.”
        Bat ton âne Germon pour qu’il avance 😉 Donc il y a un mode d’emploi que je n’ai pas trouvé.
        J’aimerai en faire profiter mes amis si il y a une URL
        Encore mille merci.

          1. Ne vous en faites pas, je ne fais pas ça pour l’argent.
            Mais c’est sympa d’y avoir pensé.
            Cordialement.

  10. Bonjour,
    Un petit soucis.
    Le fichier scanner.cfg de la version 5.52 ne laisse que la possibilité de scanner en “Black”.
    Celui de la version 2.06 de Debian permet : Black & White, 24 bit Color, Gray, True Gray.
    J’ai scanné avec Stretch/paprass 2.06 en couleur et importé dans Buster/paprass 5.52.
    Mais c’est pas très pratique 😉
    Une astuce ? Merci d’avance.

Laisser un commentaire

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.